##### posix::basic_stream_descriptor::basic_stream_descriptor (1 of 6 overloads)

Construct a stream descriptor without opening it.

    basic_stream_descriptor(
        const executor_type & ex);

This constructor creates a stream descriptor without opening it. The descriptor needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

ex

  The I/O executor that the descriptor will use, by default, to dispatch handlers for any asynchronous operations performed on the descriptor.